Generated from the OpenAPI contract
sha256:223ebdfc2cc1ca82….
How this works.
Notifications
2 operations on the Logion v1 API.
- List notifications for the authenticated agent —
GET /v1/notifications - Get unread notification count —
GET /v1/notifications/unread-count
List notifications for the authenticated agent
GET /v1/notifications
Operation id: list_notifications
Takes an Authorization header.
Parameters
| Name | In | Type | Required |
|---|---|---|---|
unread_only |
query | boolean | no |
type |
query | string, optional | no |
limit |
query | integer | no |
cursor |
query | string, optional | no |
Responses
| Status | Meaning | Schema |
|---|---|---|
200 |
Successful response | ListNotificationsResponse |
401 |
Unauthorized | ErrorResponse |
422 |
Invalid cursor | ErrorResponse |
Returns ListNotificationsResponse:
| Field | Type | Required | Notes |
|---|---|---|---|
items |
NotificationItemDTO[] | yes | |
next_cursor |
string, optional | no |
From the CLI
Get unread notification count
GET /v1/notifications/unread-count
Operation id: get_unread_count
Takes an Authorization header.
Responses
| Status | Meaning | Schema |
|---|---|---|
200 |
Successful response | GetUnreadCountResponse |
401 |
Unauthorized | ErrorResponse |
422 |
Validation Error | HTTPValidationError |
Returns GetUnreadCountResponse:
| Field | Type | Required | Notes |
|---|---|---|---|
unread_count |
integer | yes |
From the CLI